<html>
<head>
<title>Terres de L&eacute;gendes</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<?php
  // Ouverture de la bd
  if (!($db = pg_pconnect("dbname=martin user=martin"))) {
    echo "Impossible d'acceder a la base de donnees.";
  } 
  //mt_sRand(time());
  // Regarde les caract du perso
  $query = "SELECT * FROM Perso WHERE nom='$perso_nom'";
  $result = pg_exec($db,$query);
  $db_perso = pg_fetch_array($result);
  $perso_magie = $db_perso["pmagie"];
  $perso_magie_max = $db_perso["pmagiemax"];
  $perso_vie = $db_perso["pvie"];
  $perso_vie_max = $db_perso["pviemax"];
  $perso_cha = $db_perso["chance"];
  $perso_for = $db_perso["force"];
  $perso_viv = $db_perso["vivacite"];
  $perso_niv = $db_perso["niveau"];
  // Regarde les caract du monstre
  if (!$monstre_code) {
    // Choix d'un nouveau monstre
    $query = "SELECT * FROM Monstre WHERE (nivExp <= $perso_niv)";
    $result = pg_exec($db,$query);
    $monstre_num = mt_rand(0,pg_numrows($result)-1);
    $db_monstre = pg_fetch_array($result,$monstre_num);
    pg_freeresult($result);
    $monstre_code = $db_monstre["cmonstre"];
    $monstre_vie = $db_monstre["pvie"];
  }
  else {
    $query = "SELECT * FROM Monstre WHERE cMonstre='$monstre_code'";
    $result = pg_exec($db,$query);
    $db_monstre = pg_fetch_array($result);
    pg_freeresult($result);
  }
  $monstre_vie_max = $db_monstre["pvie"];
  $monstre_dexterite = $db_monstre["dexterite"];
  $monstre_force = $db_monstre["force"];
  $monstre_vivacite = $db_monstre["vivacite"];
  $monstre_exp = $db_monstre["pexp"];
  $monstre_nom = $db_monstre["nom"];
  $monstre_arme = $db_monstre["arme"];
  $monstre_armure = $db_monstre["armure"];
  $monstre_bouclier = $db_monstre["bouclier"];
  $monstre_casque = $db_monstre["casque"];
  $monstre_bourse = $db_monstre["bourse"];
  $monstre_combat = $db_monstre["combat"];

  // Fonction de calcul des degats inflige par le monstre
  function att_monstre($db_perso,$db_monstre,$db,$modif_combat=0) {
    // Test d'esquive
    $de = mt_rand(1,40);
    if ($db_monstre["combat"]+$modif_combat-$de > round($db_perso["vivacite"]/3)) {
      // Bonus degat de l'arme du monstre
      if ($db_monstre["arme"]) {
        $query = "SELECT degatMin,degatDe FROM Arme WHERE cArme='".$db_monstre["arme"]."'";
        $result = pg_exec($db,$query);
        $db_arme = pg_fetch_row($result);
        $bonus_arme = mt_rand($db_arme[0],$db_arme[0]+$db_arme[1]);
      }
      else
        $bonus_arme = 0;
      // Calcul des points de degat
      $degat = $db_monstre["force"]/4 + $bonus_arme;
      // Calcul de la protection de l'armure du perso
      $nb_pieces_armure = 0;
      $protection = 0;
      $query = "SELECT cObjet FROM PorterBouclier ";
      $query .= "WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
      $result = pg_exec($db,$query);
      if (pg_numrows($result) == 1) {
        $nb_pieces_armure ++;
        $db_code = pg_fetch_row($result);
        $query = "SELECT protection FROM Bouclier WHERE cBouclier='$db_code[0]'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      $query = "SELECT cObjet FROM PorterCasque ";
      $query .= "WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
      $result = pg_exec($db,$query);
      if (pg_numrows($result) == 1) {
        $nb_pieces_armure ++;
        $db_code = pg_fetch_row($result);
        $query = "SELECT protection FROM Casque WHERE cCasque='$db_code[0]'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      $query = "SELECT cObjet FROM PorterArmure ";
      $query .= "WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
      $result = pg_exec($db,$query);
      if (pg_numrows($result) == 1) {
        $nb_pieces_armure ++;
        $db_code = pg_fetch_row($result);
        $query = "SELECT protection FROM Armure WHERE cArmure='$db_code[0]'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      // Calcul des blessures infligees
      $blessure = round($degat - $protection);
      if ($blessure > 0) {
        if ($db_perso["pvie"] <= $blessure) {
          // Le perso est mort
          $query = "DELETE FROM Perso WHERE nom='".$db_perso["nom"]."'";
          pg_exec($db,$query);
          $perso_nom = $db_perso["nom"];
          echo "<SCRIPT LANGUAGE=JavaScript>";
          echo "  document.location.href = 'combat/mort.php?perso_nom=$perso_nom';";
          echo "</SCRIPT>";
          return;
        }
        $query = "UPDATE Perso SET pVie=pVie-$blessure WHERE nom='".$db_perso["nom"]."'";
        pg_exec($db,$query);
      }
      else
        $blessure = 0;
      // Calcul de l'usure des pieces d'armure
      if (0 < $nb_pieces_armure) {
        $usure = ($degat/5)/$nb_pieces_armure;
        $query = "UPDATE PorterBouclier SET usure=usure+CAST($usure AS NUMERIC) ";
        $query .="WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
        pg_exec($db,$query);
        $query = "UPDATE PorterArmure SET usure=usure+CAST($usure AS NUMERIC) ";
        $query .="WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
        pg_exec($db,$query);
        $query = "UPDATE PorterCasque SET usure=usure+CAST($usure AS NUMERIC) ";
        $query .="WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
        pg_exec($db,$query);
      }
      return $blessure;
    }
    else{ // Le monstre a rate son attaque
      return -1;
    }
  }

  // Fonction de calcul des degats inflige par le perso
  function att_perso($db_perso,$db_monstre,$db,$modif_combat=0) {
    // Bonus degat de l'arme du perso et recherche du type de l'arme
    $query = "SELECT cObjet FROM PorterArme WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
    $result = pg_exec($db,$query);
    if (pg_numrows($result) == 1) {
      $db_code = pg_fetch_row($result);
      // Type de l'arme
      $query = "SELECT cArme FROM ArmeCac WHERE cArme='$db_code[0]'";
      $result = pg_exec($db,$query);
      if (pg_numrows($result) == 1)
        $combat = $db_perso["cac"];
      else
        $combat = $db_perso["tir"];
      // Degat de l'arme
      $query = "SELECT degatMin,degatDe FROM Arme WHERE cArme='$db_code[0]'";
      $result = pg_exec($db,$query);
      $db_arme = pg_fetch_row($result);
      $bonus_arme = mt_rand($db_arme[0],$db_arme[0]+$db_arme[1]);
    }
    else {
      $bonus_arme = 0;
      $combat = $db_perso["cac"];
    }
    // Test d'esquive
    $de = mt_rand(1,40);
    if ($combat+$modif_combat-$de > round($db_monstre["vivacite"]/3)) {
      // Usure de l'arme
      $usure = $bonus_arme/15;
      $query = "UPDATE PorterArme SET usure=usure+CAST($usure AS NUMERIC) ";
      $query .="WHERE perso='".$db_perso["nom"]."' AND surSoi=1";
      pg_exec($db,$query);
      // Calcul des points de degat
      $degat = $db_perso["force"]/4 + $bonus_arme;
      // Calcul de la protection de l'armure du monstre
      $protection = 0;
      if ($db_monstre["armure"]) {
        $query = "SELECT protection FROM Armure WHERE cArmure='".$db_monstre["armure"]."'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      if ($db_monstre["casque"]) {
        $query = "SELECT protection FROM Casque WHERE cCasque='".$db_monstre["casque"]."'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      if ($db_monstre["bouclier"]) {
        $query = "SELECT protection FROM Bouclier WHERE cBouclier='".$db_monstre["bouclier"]."'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      // Calcul des blessures infligees
      $blessure = round($degat - $protection);
      if ($blessure > 0)
        return $blessure;
      else
        return 0;
    }
    else // Le pers a rate son attaque
      return -1;
  }

  // Action du perso
  if ($decision) {
    if ($action == "attaque") {
      echo "<SCRIPT LANGUAGE=JavaScript>";
      echo "  document.location.href = 'combat/att_attaque.php?perso_nom=$perso_nom&monstre_vie=$monstre_vie&monstre_code=$monstre_code';";
      echo "</SCRIPT>";
      return;
    }
    if ($action == "sort") {
      echo "<SCRIPT LANGUAGE=JavaScript>";
      echo "  document.location.href = 'combat/att_sort.php?perso_nom=$perso_nom&monstre_vie=$monstre_vie&monstre_code=$monstre_code';";
      echo "</SCRIPT>";
      return;
    }
    if ($action == "inventaire") {
      echo "<SCRIPT LANGUAGE=JavaScript>";
      echo "  document.location.href = 'combat/att_invent.php?perso_nom=$perso_nom&monstre_vie=$monstre_vie&monstre_code=$monstre_code';";
      echo "</SCRIPT>";
      return;
    }
    if ($action == "fuite") {
      // Chance de fuite
      $de = mt_rand(1,10);
      $bonus_chance = round(($perso_cha-8)/2);
      if ($bonus_chance < 0)
        $bonus_chance = 0;
      $fuite_perso = $de + $bonus_chance + $perso_viv;
      // Poursuite
      $de = mt_rand(1,10);
      $pousuite_monstre = $de + $monstre_vivacite;
      if ($pousuite_monstre <= $fuite_perso) {
        echo "<SCRIPT LANGUAGE=JavaScript>";
        echo "  document.location.href = '../partie.php?perso_nom=$perso_nom';";
        echo "</SCRIPT>";
        return;
      }
      // Fuite ratee
      // Calcul des points de degat infliges au perso
      $blessure_perso = att_monstre($db_perso,$db_monstre,$db);
      if ($blessure_perso > 0)
        $perso_vie -= $blessure_perso;
      $blessure_monstre = -2;
    }
  }

  /* Un sort a ete invoque
     rem : tous les sorts atteignent leur cible et sont tjs lances av l'attaque adverse */
  if ($invoquer_soin && $sort_soin_niv) {
    // Regarde le cout de l'invocation
    $query = "SELECT cout FROM Sort WHERE cSort='SOI' AND niveau=$sort_soin_niv";
    $result = pg_exec($db,$query);
    $db_sort = pg_fetch_row($result);
    $sort_cout = $db_sort[0];
    // Verifie que le perso a suffisament de pt de magie
    if ($perso_magie >= $sort_cout) {
      // Calcule les pts de vie recuperes
      $query = "SELECT regMin,regDe FROM SortSoin WHERE cSort='SOI' AND niveau=$sort_soin_niv";
      $result = pg_exec($db,$query);
      $db_sort = pg_fetch_row($result);
      $soin = mt_rand($db_sort[0],$db_sort[0]+$db_sort[1]);
      // Soigne le perso et diminue ses pts de magie
      $query = "UPDATE Perso SET pMagie=pMagie-$sort_cout WHERE nom='$perso_nom'";
      $result = pg_exec($db,$query);
      $perso_magie -= $sort_cout;
      $query = "SELECT pVie,pVieMax FROM Perso WHERE nom='$perso_nom'";
      $result = pg_exec($db,$query);
      $db_perso_soin = pg_fetch_row($result);
      $new_vie = $db_perso_soin[0] + $soin;
      if ($new_vie > $db_perso_soin[1])
        $new_vie = $db_perso_soin[1];
      $query = "UPDATE Perso SET pVie=$new_vie WHERE nom='$perso_nom'";
      $result = pg_exec($db,$query);
      // Attaque adverse
      $blessure_perso = att_monstre($db_perso,$db_monstre,$db);
      if ($blessure_perso > 0)
        $perso_vie -= $blessure_perso;
      $blessure_monstre = -4;
    }
    else {
      $blessure_monstre = -3;
    }
  }
  elseif (($invoquer_feu && $sort_feu_niv) || ($sort_ecl_niv && $invoquer_ecl)) {
    // Regarde le cout de l'invocation
    if ($invoquer_feu)
      $query = "SELECT cout FROM Sort WHERE cSort='FEU' AND niveau=$sort_feu_niv";
    if ($invoquer_ecl)
      $query = "SELECT cout FROM Sort WHERE cSort='ECL' AND niveau=$sort_ecl_niv";
    $result = pg_exec($db,$query);
    $db_sort = pg_fetch_row($result);
    $sort_cout = $db_sort[0];
    // Verifie que le perso a suffisament de pt de magie
    if ($perso_magie >= $sort_cout) {
      // Calcule les pts de degat
      if ($invoquer_feu)
        $query = "SELECT degatMin,degatDe FROM SortAttaque WHERE cSort='FEU' AND niveau=$sort_feu_niv";
      if ($invoquer_ecl)
        $query = "SELECT degatMin,degatDe FROM SortAttaque WHERE cSort='ECL' AND niveau=$sort_ecl_niv";
      $result = pg_exec($db,$query);
      $db_sort = pg_fetch_row($result);
      $degat = mt_rand($db_sort[0],$db_sort[0]+$db_sort[1]);
      // Calcul de la protection de l'armure du monstre
      $protection = 0;
      if ($db_monstre["armure"]) {
        $query = "SELECT protection FROM Armure WHERE cArmure='".$db_monstre["armure"]."'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      if ($db_monstre["casque"]) {
        $query = "SELECT protection FROM Casque WHERE cCasque='".$db_monstre["casque"]."'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      if ($db_monstre["bouclier"]) {
        $query = "SELECT protection FROM Bouclier WHERE cBouclier='".$db_monstre["bouclier"]."'";
        $result = pg_exec($db,$query);
        $db_protection = pg_fetch_row($result);
        $protection += $db_protection[0];
      }
      // Calcul des blessures infligees
      $blessure_monstre = round($degat - $protection);
      if ($blessure_monstre < 0)
        $blessure_monstre = 0;
      // Diminue les pt de magie du perso
      $query = "UPDATE Perso SET pMagie=pMagie-$sort_cout WHERE nom='$perso_nom'";
      $result = pg_exec($db,$query);
      $perso_magie -= $sort_cout;
      // Inflige les degats au monstre
      $monstre_vie -= $blessure_monstre;
      if ($monstre_vie <= 0) {
        // Le monstre est mort, on peut recuperer les objets qu'il porte
        echo "<SCRIPT LANGUAGE=JavaScript>";
        echo "  document.location.href = 'combat/cadavre_monstre.php?perso_nom=$perso_nom&monstre_vie=$monstre_vie&monstre_code=$monstre_code&monstre_blessure=$blessure_monstre';";
        echo "</SCRIPT>";
        return;
      }
      // Attaque adverse
      $blessure_perso = att_monstre($db_perso,$db_monstre,$db);
      if ($blessure_perso > 0)
        $perso_vie -= $blessure_perso;
    }
    else {
      $blessure_monstre = -3;
    }
  }

  // Le perso a attaque avec son arme
  if ($attaquer) {
    // Test d'initiative
    $init = $perso_viv+($perso_cha-8)/2+mt_rand(1,10)-($monstre_vivacite+mt_rand(1,10));
    if ($init < 0) {
      // Le monstre attaque le 1er
      if ($att_type == "kamikase") {
        // L'attaque du monstre reussie toujours
        $blessure_perso = att_monstre($db_perso,$db_monstre,$db,100);
        if ($blessure_perso > 0)
          $perso_vie -= $blessure_perso;
      }
      elseif ($att_type == "prudente") {
        // Les chance de reussite pour le monstre sont diminuees
        $blessure_perso = att_monstre($db_perso,$db_monstre,$db,-9);
        if ($blessure_perso > 0)
          $perso_vie -= $blessure_perso;
      }
      else {
        $blessure_perso = att_monstre($db_perso,$db_monstre,$db);
        if ($blessure_perso > 0)
          $perso_vie -= $blessure_perso;
      }
    }
    // Le perso attaque
    if ($att_type == "kamikase") {
      // Les degats sont doubles et un peu plus de chance de toucher l'adversaire
      $blessure_monstre = att_perso($db_perso,$db_monstre,$db,6);
      if ($blessure_monstre > 0) {
        $blessure_monstre *= 2;
        $monstre_vie -= $blessure_monstre;
        if ($monstre_vie <= 0) {
          echo "<SCRIPT LANGUAGE=JavaScript>";
          echo "  document.location.href = 'combat/cadavre_monstre.php?perso_nom=$perso_nom&monstre_code=$monstre_code&monstre_blessure=$blessure_monstre';";
          echo "</SCRIPT>";
          return;
        }
      }
    }
    elseif ($att_type == "prudente") {
      // Les chance de reussite sont diminuees
      $blessure_monstre = att_perso($db_perso,$db_monstre,$db,-7);
      if ($blessure_monstre > 0) {
        $monstre_vie -= $blessure_monstre;
        if ($monstre_vie <= 0) {
          echo "<SCRIPT LANGUAGE=JavaScript>";
          echo "  document.location.href = 'combat/cadavre_monstre.php?perso_nom=$perso_nom&monstre_code=$monstre_code&monstre_blessure=$blessure_monstre';";
          echo "</SCRIPT>";
          return;
        }
      }
    }
    elseif ($att_type == "subtile") {
      // Les chance de reussite sont augmentees mais moins de degats
      $blessure_monstre = att_perso($db_perso,$db_monstre,$db,16);
      if ($blessure_monstre > 0) {
        $blessure_monstre = round(0.55*$blessure_monstre);
        $monstre_vie -= $blessure_monstre;
        if ($monstre_vie <= 0) {
          echo "<SCRIPT LANGUAGE=JavaScript>";
          echo "  document.location.href = 'combat/cadavre_monstre.php?perso_nom=$perso_nom&monstre_code=$monstre_code&monstre_blessure=$blessure_monstre';";
          echo "</SCRIPT>";
          return;
        }
      }
    }
    else {
      $blessure_monstre = att_perso($db_perso,$db_monstre,$db);
      if ($blessure_monstre > 0) {
        $monstre_vie -= $blessure_monstre;
        if ($monstre_vie <= 0) {
          echo "<SCRIPT LANGUAGE=JavaScript>";
          echo "  document.location.href = 'combat/cadavre_monstre.php?perso_nom=$perso_nom&monstre_code=$monstre_code&monstre_blessure=$blessure_monstre';";
          echo "</SCRIPT>";
          return;
        }
      }
    }
    if ($init >= 0) {
      // Le monstre attaque le 2e
      if ($att_type == "kamikase") {
        // L'attaque du monstre reussie toujours
        $blessure_perso = att_monstre($db_perso,$db_monstre,$db,100);
        if ($blessure_perso > 0)
          $perso_vie -= $blessure_perso;
      }
      elseif ($att_type == "prudente") {
        // Les chance de reussite pour le monstre sont diminuees
        $blessure_perso = att_monstre($db_perso,$db_monstre,$db,-9);
        if ($blessure_perso > 0)
          $perso_vie -= $blessure_perso;
      }
      else {
        $blessure_perso = att_monstre($db_perso,$db_monstre,$db);
        if ($blessure_perso > 0)
          $perso_vie -= $blessure_perso;
      }
    }
  }
?>
<body bgcolor="#FFFFFF" text="#000000" background="../../images/wfond.gif">
<div align="center">
<form method="post" action="">
  <input type="hidden" name="monstre_vie" value="<?php echo $monstre_vie; ?>"> 
  <input type="hidden" name="monstre_code" value="<?php echo $monstre_code; ?>"> 
  <input type="hidden" name="perso_nom" value="<?php echo $perso_nom; ?>">
  <img src="../../images/titre_monstre.jpg"> <br>
  <br>
  <b><font color="#660000">Vous avez rencontr&eacute; un :</font></b> <br>
  <?php echo $db_monstre["nom"]; ?>
  <table width="100%" border="1">
    <tr> 
      <td width="20%"><b><font color="#660000">Points de vie</font></b></td>
      <td width="20%"><b><font color="#660000">Points de vie max</font></b></td>
      <td width="20%"><b><font color="#660000">Arme</font></b></td>
      <td width="20%"><b><font color="#660000">Amure</font></b></td>
      <td width="20%"><b><font color="#660000">D&eacute;gats moy</font></b></td>
    </tr>
    <tr> 
      <td><?php echo $monstre_vie; ?></td>
      <td><?php echo $monstre_vie_max; ?></td>
      <td>
        <?php
          if ($monstre_arme)
            echo "Oui";
          else
            echo "Non";
        ?>
      </td>
      <td>
        <?php
          if ($monstre_armure || $monstre_bouclier || $monstre_casque)
            echo "Oui";
          else
            echo "Non";
        ?>
      </td>
      <td>
        <?php
          if ($monstre_arme) {
            $query = "SELECT degatMin,degatDe FROM Arme WHERE cArme='$monstre_arme'";
            $result = pg_exec($db,$query);
            $db_arme = pg_fetch_row($result);
            $degat_moy = round(($db_arme[0]+$db_arme[1])/2+$monstre_force/4);
            echo $degat_moy;
          }
          else {
            $degat_moy = round($monstre_force/4);
            echo $degat_moy; 
          }
        ?>
      </td>
    </tr>
  </table>
  <br>
  <?php
    if ($blessure_perso || $blessure_monstre) {
      echo "<b><font color=\"#660000\">R&eacute;sultat de l'affrontement : </font></b> ";
      echo "<table border=\"0\">";
      if ($blessure_monstre >= 0) {
        echo "  <tr> ";
        echo "    <td>Vous avez inflig&eacute; :</td>";
        echo "    <td>$blessure_monstre</td>";
        echo "    <td>point(s) de d&eacute;gat </td>";
        echo "  </tr>";
      }
      if ($blessure_perso >= 0 && $blessure_monstre != -3) {
        echo "  <tr> ";
        echo "    <td>Vous avez perdu :</td>";
        echo "    <td>$blessure_perso</td>";
        echo "    <td>point(s) de vie</td>";
        echo "  </tr>";
      }
      if ($blessure_monstre == -1) {
        echo "  <tr> ";
        echo "    <td colspan=\"3\">Vous avez rat&eacute; votre attaque</td>";
        echo "  </tr>";
      }
      if ($blessure_monstre == -2) {
        echo "  <tr> ";
        echo "    <td colspan=\"3\">Vous n'avez pas r&eacute;ussi votre fuite</td>";
        echo "  </tr>";
      }
      if ($blessure_monstre == -3) {
        echo "  <tr> ";
        echo "    <td colspan=\"3\">Vous n'avez pas assez de points de magie</td>";
        echo "  </tr>";
      }
      if ($blessure_perso == -1) {
        echo "  <tr> ";
        echo "    <td colspan=\"3\">Vous avez esquiv&eacute; l'attaque adverse</td>";
        echo "  </tr>";
      }
      echo "</table>";
      echo "<br>";
    }
  ?>
  <font color="#660000"><b>Que faites-vous?</b></font> 
  <table border="0">
    <tr>
      <td>
        <input type="radio" name="action" value="attaque">
      </td>
      <td>J'attaque</td>
    </tr>
    <tr>
      <td>
        <input type="radio" name="action" value="sort">
      </td>
      <td>Je lance un sort</td>
    </tr>
    <tr>
      <td>
        <input type="radio" name="action" value="inventaire">
      </td>
      <td>Je regarde mon inventaire</td>
    </tr>
    <tr>
      <td>
        <input type="radio" name="action" value="fuite">
      </td>
      <td>Je fuis</td>
    </tr>
  </table>
  <input type="submit" name="decision" value="OK">
</form>
</div>
<img src="../../images/epee1.gif" width="130" height="36"> <br>
<table border="0">
  <tr>
    <td>Points de vie :</td>
    <td>
	  <?php echo "$perso_vie / $perso_vie_max"; ?>
	</td>
  </tr>
  <tr>
    <td>Points de magie :</td>
    <td>
	  <?php echo "$perso_magie / $perso_magie_max"; ?>
	</td>
  </tr>
</table>
</body>
</html>
